#
# This makefile builds architecture link trees.
#
# For example, say 'make linux-gcc-shared' to create a shared library for
# Linux using GNU gcc, or 'make osf1-cxx-static' to create a static library
# for OSF/1 Alpha using the DEC C++ compiler.
#
# Read PORTING for instructions how to port Qt to a new platform.
#

all:
	@echo This version of Qt has been ported to these operating systems:
	@echo
	@echo "	"bsdi freebsd hpux irix linux netbsd osf1 sco solaris sunos
	@echo
	@echo Each of these make targets creates build directories for all of
	@echo the configurations supported on that platform.
	@echo
	@echo \"make list\" shows a complete list of supported configurations.
	@echo
	@echo \"make alldirs\" creates _all_ the build directories.

list: 
	@echo Supported configurations:
	@echo "	"bsdi-gcc-static
	@echo "	"freebsd-gcc-shared
	@echo "	"freebsd-gcc-static
	@echo "	"hpux-cc-shared
	@echo "	"hpux-cc-static
	@echo "	"hpux-gcc-shared
	@echo "	"hpux-gcc-static
	@echo "	"irix-dcc-shared
	@echo "	"irix-dcc-static
	@echo "	"irix-gcc-shared
	@echo "	"linux-gcc-shared
	@echo "	"linux-gcc-shared-debug
	@echo "	"linux-gcc-static
	@echo "	"netbsd-gcc-shared
	@echo "	"netbsd-gcc-static
	@echo "	"osf1-cxx-shared
	@echo "	"osf1-cxx-static
	@echo "	"osf1-gcc-shared
	@echo "	"osf1-gcc-static
	@echo "	"sco-gcc-static
	@echo "	"solaris-cc-shared
	@echo "	"solaris-cc-static
	@echo "	"solaris-gcc-shared
	@echo "	"solaris-gcc-static
	@echo "	"sunos-gcc-static
	@echo Send mail to qt-info@troll.no for info about other platforms

alldirs: bsdi-gcc-static freebsd-gcc-shared freebsd-gcc-static \
	hpux-cc-shared hpux-cc-static hpux-gcc-shared hpux-gcc-static \
	irix-dcc-shared irix-dcc-static irix-gcc-shared linux-gcc-shared \
	linux-gcc-shared-debug linux-gcc-static netbsd-gcc-shared \
	netbsd-gcc-static osf1-cxx-shared osf1-cxx-static osf1-gcc-shared \
	osf1-gcc-static sco-gcc-static solaris-cc-shared solaris-cc-static \
	solaris-gcc-shared solaris-gcc-static sunos-gcc-static 

bsdi: bsdi-gcc-static

freebsd: freebsd-gcc-shared \
	freebsd-gcc-static

hpux: hpux-cc-shared hpux-cc-static \
	hpux-gcc-shared hpux-gcc-static

irix: irix-dcc-shared irix-dcc-static \
	irix-gcc-shared

linux: linux-gcc-shared \
	linux-gcc-shared-debug linux-gcc-static

netbsd: netbsd-gcc-shared netbsd-gcc-static

osf1: osf1-cxx-shared osf1-cxx-static \
	osf1-gcc-shared osf1-gcc-static

sco: sco-gcc-static

solaris: solaris-cc-shared \
	solaris-cc-static solaris-gcc-shared \
	solaris-gcc-static

sunos: sunos-gcc-static

bsdi-gcc-static:
	mkdir bsdi-gcc-static
	cd template ; tar cf - . | ( cd ../bsdi-gcc-static ; tar xf - )
	( cd bsdi-gcc-static ; \
		patch -p1 -s < ../../makefiles/bsdi-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/bsdi-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/bsdi-gcc-static/bin ..

freebsd-gcc-shared:
	mkdir freebsd-gcc-shared
	cd template ; tar cf - . | ( cd ../freebsd-gcc-shared ; tar xf - )
	( cd freebsd-gcc-shared ; \
		patch -p1 -s < ../../makefiles/freebsd-gcc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/freebsd-gcc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/freebsd-gcc-shared/bin ..

freebsd-gcc-static:
	mkdir freebsd-gcc-static
	cd template ; tar cf - . | ( cd ../freebsd-gcc-static ; tar xf - )
	( cd freebsd-gcc-static ; \
		patch -p1 -s < ../../makefiles/freebsd-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/freebsd-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/freebsd-gcc-static/bin ..

hpux-cc-shared:
	mkdir hpux-cc-shared
	cd template ; tar cf - . | ( cd ../hpux-cc-shared ; tar xf - )
	( cd hpux-cc-shared ; \
		patch -p1 -s < ../../makefiles/hpux-cc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/hpux-cc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/hpux-cc-shared/bin ..

hpux-cc-static:
	mkdir hpux-cc-static
	cd template ; tar cf - . | ( cd ../hpux-cc-static ; tar xf - )
	( cd hpux-cc-static ; \
		patch -p1 -s < ../../makefiles/hpux-cc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/hpux-cc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/hpux-cc-static/bin ..

hpux-gcc-shared:
	mkdir hpux-gcc-shared
	cd template ; tar cf - . | ( cd ../hpux-gcc-shared ; tar xf - )
	( cd hpux-gcc-shared ; \
		patch -p1 -s < ../../makefiles/hpux-gcc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/hpux-gcc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/hpux-gcc-shared/bin ..

hpux-gcc-static:
	mkdir hpux-gcc-static
	cd template ; tar cf - . | ( cd ../hpux-gcc-static ; tar xf - )
	( cd hpux-gcc-static ; \
		patch -p1 -s < ../../makefiles/hpux-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/hpux-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/hpux-gcc-static/bin ..

irix-dcc-shared:
	mkdir irix-dcc-shared
	cd template ; tar cf - . | ( cd ../irix-dcc-shared ; tar xf - )
	( cd irix-dcc-shared ; \
		patch -p1 -s < ../../makefiles/irix-dcc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/irix-dcc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/irix-dcc-shared/bin ..

irix-dcc-static:
	mkdir irix-dcc-static
	cd template ; tar cf - . | ( cd ../irix-dcc-static ; tar xf - )
	( cd irix-dcc-static ; \
		patch -p1 -s < ../../makefiles/irix-dcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/irix-dcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/irix-dcc-static/bin ..

irix-gcc-shared:
	mkdir irix-gcc-shared
	cd template ; tar cf - . | ( cd ../irix-gcc-shared ; tar xf - )
	( cd irix-gcc-shared ; \
		patch -p1 -s < ../../makefiles/irix-gcc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/irix-gcc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/irix-gcc-shared/bin ..

linux-gcc-shared:
	mkdir linux-gcc-shared
	cd template ; tar cf - . | ( cd ../linux-gcc-shared ; tar xf - )
	( cd linux-gcc-shared ; \
		patch -p1 -s < ../../makefiles/linux-gcc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/linux-gcc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/linux-gcc-shared/bin ..

linux-gcc-shared-debug:
	mkdir linux-gcc-shared-debug
	cd template ; tar cf - . | ( cd ../linux-gcc-shared-debug ; tar xf - )
	( cd linux-gcc-shared-debug ; \
		patch -p1 -s < ../../makefiles/linux-gcc-shared-debug )
	[ -d ../lib -o -h ../lib ] || ln -s arch/linux-gcc-shared-debug/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/linux-gcc-shared-debug/bin ..

linux-gcc-static:
	mkdir linux-gcc-static
	cd template ; tar cf - . | ( cd ../linux-gcc-static ; tar xf - )
	( cd linux-gcc-static ; \
		patch -p1 -s < ../../makefiles/linux-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/linux-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/linux-gcc-static/bin ..

netbsd-gcc-shared:
	mkdir netbsd-gcc-shared
	cd template ; tar cf - . | ( cd ../netbsd-gcc-shared ; tar xf - )
	( cd netbsd-gcc-shared ; \
		patch -p1 -s < ../../makefiles/netbsd-gcc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/netbsd-gcc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/netbsd-gcc-shared/bin ..

netbsd-gcc-static:
	mkdir netbsd-gcc-static
	cd template ; tar cf - . | ( cd ../netbsd-gcc-static ; tar xf - )
	( cd netbsd-gcc-static ; \
		patch -p1 -s < ../../makefiles/netbsd-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/netbsd-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/netbsd-gcc-static/bin ..

osf1-cxx-shared:
	mkdir osf1-cxx-shared
	cd template ; tar cf - . | ( cd ../osf1-cxx-shared ; tar xf - )
	( cd osf1-cxx-shared ; \
		patch -p1 -s < ../../makefiles/osf1-cxx-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/osf1-cxx-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/osf1-cxx-shared/bin ..

osf1-cxx-static:
	mkdir osf1-cxx-static
	cd template ; tar cf - . | ( cd ../osf1-cxx-static ; tar xf - )
	( cd osf1-cxx-static ; \
		patch -p1 -s < ../../makefiles/osf1-cxx-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/osf1-cxx-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/osf1-cxx-static/bin ..

osf1-gcc-shared:
	mkdir osf1-gcc-shared
	cd template ; tar cf - . | ( cd ../osf1-gcc-shared ; tar xf - )
	( cd osf1-gcc-shared ; \
		patch -p1 -s < ../../makefiles/osf1-gcc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/osf1-gcc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/osf1-gcc-shared/bin ..

osf1-gcc-static:
	mkdir osf1-gcc-static
	cd template ; tar cf - . | ( cd ../osf1-gcc-static ; tar xf - )
	( cd osf1-gcc-static ; \
		patch -p1 -s < ../../makefiles/osf1-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/osf1-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/osf1-gcc-static/bin ..

sco-gcc-static:
	mkdir sco-gcc-static
	cd template ; tar cf - . | ( cd ../sco-gcc-static ; tar xf - )
	( cd sco-gcc-static ; \
		patch -p1 -s < ../../makefiles/sco-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/sco-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/sco-gcc-static/bin ..

solaris-cc-shared:
	mkdir solaris-cc-shared
	cd template ; tar cf - . | ( cd ../solaris-cc-shared ; tar xf - )
	( cd solaris-cc-shared ; \
		patch -p1 -s < ../../makefiles/solaris-cc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/solaris-cc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/solaris-cc-shared/bin ..

solaris-cc-static:
	mkdir solaris-cc-static
	cd template ; tar cf - . | ( cd ../solaris-cc-static ; tar xf - )
	( cd solaris-cc-static ; \
		patch -p1 -s < ../../makefiles/solaris-cc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/solaris-cc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/solaris-cc-static/bin ..

solaris-gcc-shared:
	mkdir solaris-gcc-shared
	cd template ; tar cf - . | ( cd ../solaris-gcc-shared ; tar xf - )
	( cd solaris-gcc-shared ; \
		patch -p1 -s < ../../makefiles/solaris-gcc-shared )
	[ -d ../lib -o -h ../lib ] || ln -s arch/solaris-gcc-shared/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/solaris-gcc-shared/bin ..

solaris-gcc-static:
	mkdir solaris-gcc-static
	cd template ; tar cf - . | ( cd ../solaris-gcc-static ; tar xf - )
	( cd solaris-gcc-static ; \
		patch -p1 -s < ../../makefiles/solaris-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/solaris-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/solaris-gcc-static/bin ..

sunos-gcc-static:
	mkdir sunos-gcc-static
	cd template ; tar cf - . | ( cd ../sunos-gcc-static ; tar xf - )
	( cd sunos-gcc-static ; \
		patch -p1 -s < ../../makefiles/sunos-gcc-static )
	[ -d ../lib -o -h ../lib ] || ln -s arch/sunos-gcc-static/lib ..
	[ -d ../bin -o -h ../bin ] || ln -s arch/sunos-gcc-static/bin ..

